--***********************************************
--VISTA CONYUGE DEL COOOBLIGADO VM_C_REFERENCIAS_COOBLIGADO_PF
--***********************************************

SELECT
CON.FOLIO_UNICO,
--DATOS PERSONALES COOBLIGADO
COO.ID COOBLIGADO_ID,
REFIS.ID REFERENCIA_FISICA_ID,
REFIS.NOMBRE,
REFIS.APELLIDO_PATERNO,
REFIS.APELLIDO_MATERNO,
RELA.NOMBRE PARENTESCO_REFERENCIA,
TREL.DESCRIPCION TIEMPO_RELACION

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FIS_COO AFC ON (AFC.APLICANTE_FISICO_ID = ATF.ID)
LEFT OUTER JOIN SMAFB.SGCOOBLIGADOS COO ON (COO.ID = AFC.COOBLIGADO_ID)
LEFT OUTER JOIN SMAFB.SGCOOBLIGADOS_REFERENCIAS COOREF ON (COOREF.COOBLIGADO_ID = COO.ID)
LEFT OUTER JOIN SMAFB.SGREFERENCIAS_FISICAS REFIS ON (REFIS.ID = COOREF.REFERENCIA_ID)
LEFT OUTER JOIN SMAFB.SGRELACIONES RELA ON (RELA.IDINT = REFIS.RELACION_ID)
LEFT OUTER JOIN SMAFB.SGTIEMPOS_RELACION TREL ON (TREL.ID = REFIS.TIEMPO_RELACION_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;